Bug 12227 - RFE:Configure PCI & ISA sound cards during install
RFE:Configure PCI & ISA sound cards during install
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-06-13 18:16 EDT by Brian Z
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-23 15:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Z 2000-06-13 18:16:25 EDT
It would be real neat if soundconfig was run during install.  It would
greatly simplify the installation process for users.  It would also be
a step in the right direction for making RH ready for home users.  Thanks!
Comment 1 Michael Fulbright 2000-06-14 10:06:39 EDT
We will consider this for the future feature list.
Comment 2 Bill Nottingham 2000-06-14 12:03:45 EDT
FWIW, PCI sound shoudl be configured automatically during
the install.
Comment 3 Michael Fulbright 2000-09-15 14:55:14 EDT
Brock could you confirm that PCI sound cards are properly configured by kudzu in
the installer post-install

I do not think we will ever support configuring ISA based sound cards in the
installer because it is just a
ugly process.
Comment 4 Brian Z 2000-09-16 12:11:57 EDT
I agree it can be an ugly process, but it is something that has to be done if we want Linux to ever begin competing with Windows
for home users.  It should at least be an option to run the sound configurator during setup.  If Windows can do it (which it does most
of the time) Linux should be able to do it, if not better.
Comment 5 Brian Z 2000-10-17 20:11:43 EDT
Just noticed that the subject said PCI.. those should be automatically configured right?  I would like to see ISA ones configured.
Comment 6 Michael Fulbright 2000-10-23 15:28:52 EDT
Kudzu is currently handling this problem for PCI sound cards.

We have no plans to move this into the installer at this time.
Comment 7 Brian Z 2000-10-23 17:55:01 EDT
If this is your reason for not configuring ISA cards:

"I do not think we will ever support configuring ISA based sound cards in the installer because it is just a ugly process."

Your company is just being very lazy.  If you haven't noticed, all versions of Windows seem to do this.  You also have all the code
in a text configuration utility.  What you are trying to tell me is that you cannont program a GUI setup utility because it's messy,
Windows beats Linux here.  We're not as good as them.  If you ever want Linux to go anywhere, you are going to have to figure
out how to duplicate the ease of use Windows provides.  So far, Linux has been becomming more successful in this all the time.
Like it or not, the industry sees Linux as your distribution, not as all the distributions put together.  I'm afraid that your company 
is either going to make or break Linux.  The ball is in your court, you decide Linux's fate.

The least you could do is add a notice in the installer telling the end user how to setup their ISA sound card.

Note You need to log in before you can comment on or make changes to this bug.